r14854 - gnucash/trunk/packaging/win32 - More cross-compile preparations - goffice needs a cross-compile libtool as well.

Christian Stimming cstim at cvs.gnucash.org
Sun Sep 17 09:45:19 EDT 2006


Author: cstim
Date: 2006-09-17 09:45:18 -0400 (Sun, 17 Sep 2006)
New Revision: 14854
Trac: http://svn.gnucash.org/trac/changeset/14854

Modified:
   gnucash/trunk/packaging/win32/custom.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
More cross-compile preparations - goffice needs a cross-compile libtool as well.

Modified: gnucash/trunk/packaging/win32/custom.sh
===================================================================
--- gnucash/trunk/packaging/win32/custom.sh	2006-09-17 11:03:02 UTC (rev 14853)
+++ gnucash/trunk/packaging/win32/custom.sh	2006-09-17 13:45:18 UTC (rev 14854)
@@ -16,14 +16,16 @@
 LD=ld
 CC=gcc
 DLLTOOL=dlltool
+LIBTOOLIZE=libtoolize
 # For cross-compiling, uncomment the following lines:
 # HOST_XCOMPILE="--host=mingw32"
 # PKG_CONFIG_PATH="" # to avoid using the host's installed packages
-# PATH=/opt/mingw32/bin:$PATH
+# PATH=/opt/mingw32/bin:/opt/mingw32/mingw32/bin:$PATH
 # cross_compile=yes
 # LD=mingw32-ld
 # CC=mingw32-gcc
 # DLLTOOL=mingw32-dlltool
+# LIBTOOLIZE=$GLOBAL_DIR/autotools/bin/libtoolize
 ####
 
 MSYS_DIR=$GLOBAL_DIR\\msys

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2006-09-17 11:03:02 UTC (rev 14853)
+++ gnucash/trunk/packaging/win32/install.sh	2006-09-17 13:45:18 UTC (rev 14854)
@@ -583,13 +583,12 @@
     setup Autotools
     _AUTOTOOLS_UDIR=`unix_path $AUTOTOOLS_DIR`
     add_to_env $_AUTOTOOLS_UDIR/bin PATH
-    if quiet autoconf --help && quiet automake --help && quiet libtool --help 
+    if quiet autoconf --help && quiet automake --help
     then
-        echo "auto tools already installed.  skipping."
+        echo "autoconf/automake already installed.  skipping."
     else
         wget_unpacked $AUTOCONF_URL $DOWNLOAD_DIR $TMP_DIR
         wget_unpacked $AUTOMAKE_URL $DOWNLOAD_DIR $TMP_DIR
-        wget_unpacked $LIBTOOL_URL $DOWNLOAD_DIR $TMP_DIR
         qpushd $TMP_UDIR/autoconf-*
             echo "building autoconf..."
            ./configure --prefix=$_AUTOTOOLS_UDIR
@@ -602,6 +601,12 @@
             make
             make install
         qpopd
+    fi
+    if quiet ${LIBTOOLIZE} --help 
+    then
+        echo "libtool/libtoolize already installed.  skipping."
+    else
+        wget_unpacked $LIBTOOL_URL $DOWNLOAD_DIR $TMP_DIR
         qpushd $TMP_UDIR/libtool-*
             echo "building libtool..."
             ./configure ${HOST_XCOMPILE} --prefix=$_AUTOTOOLS_UDIR
@@ -611,12 +616,10 @@
     fi
     add_to_env -I$_AUTOTOOLS_UDIR/include AUTOTOOLS_CPPFLAGS
     add_to_env -L$_AUTOTOOLS_UDIR/lib AUTOTOOLS_LDFLAGS
-    if test x$cross_compile != xyes ; then
-	add_to_env "-I $_AUTOTOOLS_UDIR/share/aclocal" ACLOCAL_FLAGS
-    fi
+    add_to_env "-I $_AUTOTOOLS_UDIR/share/aclocal" ACLOCAL_FLAGS
     quiet autoconf --help &&
     quiet automake --help &&
-    quiet libtool --help || die "autotools not installed correctly"
+    quiet ${LIBTOOLIZE} --help || die "autotools not installed correctly"
 }
 
 function inst_libgsf() {
@@ -653,6 +656,7 @@
 	qpushd $TMP_UDIR/goffice-*
 	    [ -n "$GOFFICE_PATCH" -a -f "$GOFFICE_PATCH" ] && \
 		patch -p1 < $GOFFICE_PATCH
+	    ${LIBTOOLIZE} --force
 	    aclocal ${ACLOCAL_FLAGS}
 	    automake
 	    autoconf



More information about the gnucash-changes mailing list